钱包
钱包地址映射关系(多币种)
POST
/
platformapi
/
chainup
/
open
/
wallet
/
v2
/
addressMapping
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/addressMapping
{
"code": "0",
"msg": "suc",
"data": [
{
"symbol": "11111",
"count": 2,
"pageSize": 10,
"page": 1,
"list": [
{
"uid": 11111,
"address": "xxxxxx",
"walletUid": 11111,
"tag": ""
},
{
"uid": 11111,
"address": "xxxx",
"walletUid": 11111,
"tag": ""
}
],
"walletSymbol": "BTC"
},
{
"symbol": "TRX1111",
"count": 0,
"pageSize": 10,
"page": 1,
"list": [],
"walletSymbol": "TRX"
}
]
}
Query Parameters
appKey
string
requiredAppKey
Example: xxx_xxx
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
walletType
number
required钱包类型( 1 : custody 2 : wapi 3 : fireblocks 4: custody mpc).
Example: 1
symbol
string
requiredChainUP币种名称
uid
number
用户ID
page
number
required分页参数(页码)
Example: 1
pageSize
number
required分页参数(每页大小)
Example: 10
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/addressMapping
{
"code": "0",
"msg": "suc",
"data": [
{
"symbol": "11111",
"count": 2,
"pageSize": 10,
"page": 1,
"list": [
{
"uid": 11111,
"address": "xxxxxx",
"walletUid": 11111,
"tag": ""
},
{
"uid": 11111,
"address": "xxxx",
"walletUid": 11111,
"tag": ""
}
],
"walletSymbol": "BTC"
},
{
"symbol": "TRX1111",
"count": 0,
"pageSize": 10,
"page": 1,
"list": [],
"walletSymbol": "TRX"
}
]
}